// Craft System Script v.0.2 by SickLab

using System;

namespace Server.Engines.Harvest
{
	public class HarvestResDef
	{
		private Type m_Type;
		private int m_MinTotalRes;
		private int m_MaxTotalRes;
		private double m_MinSkill;
		private double m_MaxSkill;

		public HarvestResDef( Type type, int minTotalRes, int maxTotalRes, double minSkill, double maxSkill )
		{
			m_Type = type;
			m_MinTotalRes = minTotalRes;
			m_MaxTotalRes = maxTotalRes;
			m_MinSkill = minSkill;
			m_MaxSkill = maxSkill;
		}

		public Type ResType { get { return m_Type; } }
		public double MinSkill { get { return m_MinSkill; } }
		public double MaxSkill { get { return m_MaxSkill; } }
		public int MinTotalRes { get { return m_MinTotalRes; } }
		public int MaxTotalRes { get { return m_MaxTotalRes; } }		
	}
}