using System;

namespace Server.Items
{
	public class TrashBarrel : Item
	{
		[Constructable]
		public TrashBarrel() : base( 0xE77 )
		{
			Hue = 0x3B2;

			Name = "a trash barrel";
			Movable = false;
		}

		public TrashBarrel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override bool OnDragDrop( Mobile from, Item dropped )
		{
			dropped.Delete();

			return true;
		}
	}
}